Bug 54461 - mixer setting can't be saved when shutdowning.
Summary: mixer setting can't be saved when shutdowning.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-09 08:07 UTC by Shinya Narahara
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 20:46:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shinya Narahara 2001-10-09 08:07:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [ja] (WinNT; U)

Description of problem:
When shutdowning, the machine which doesn't have sound device can't
save mixer setting in /etc/rc.d/init.d/halt.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login and start X-Window(gnome)
2. select halt from gnome menu.
3.
	

Actual Results:  Saving mixer settings                            [FAILED]
modprobe: Can't locate module sount-slot-0
modprobe: modprobe: Can't loacte module sound-service-0-0
aumix: error opening mixer


Expected Results:  Saving mixer settings                            [O.K.]


Additional info:

In /etc/rc.d/init.d/halt script, it decides to need to save the sound setting
by checking whether "soundcore.o" module is loaded. But as you know, 
the module can be loaded even if the machine doesn't have any sound devices.
Gnome loads soundcore.o anytime, so we could see the error messages above.

Comment 1 Bill Nottingham 2005-02-22 20:46:12 UTC
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.


Note You need to log in before you can comment on or make changes to this bug.